Releases Index
Submit product feedback
View .md

Submit product feedback

POST
/feedback

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Authorization

bearerAuth
headerAuthorizationBearer <relk_… | relu_… | OAuth JWT>

Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.

Header Parameters

Idempotency-Key?string

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Match^[\x21-\x7e]+$
Length16 <= length <= 255

Request Body

application/json
  1. body
message*string
Length5 <= length <= 4000
type?string
Value in"bug""idea""other""general"
contact?string
Lengthlength <= 200
clientKind?string
Value in"external""internal-agent""internal-sandbox""internal-ci""internal-dev""mcp-stdio"
surface?string
Lengthlength <= 32
cliVersion?string
Lengthlength <= 32
anonId?string
Lengthlength <= 64
os?string
Lengthlength <= 64
arch?string
Lengthlength <= 64
runtime?string
Lengthlength <= 64

Response Body

Accepted feedback identifier.

application/json
  1. response
ok*boolean
id*string
Example Request
curl -X POST 'https://api.releases.sh/v1/feedback' \  -H 'Content-Type: application/json' \  -d '{  "message": "string"}'
Example Response
{  "ok": true,  "id": "string"}